Subject: Re: bug#53596: 29.0.50; comp-trampoline-compile: Cannot find suitable directory for output in `native-comp-eln-load-path'

From: Manuel Uberti <[email-masked]>
Date: Fri, 28 Jan 2022 11:22:04 +0100

On 28/01/22 11:10, Manuel Uberti wrote:
> On 28/01/22 11:09, Manuel Uberti wrote:
>> On 28/01/22 11:06, Andrea Corallo wrote:
>>> Interesting, could you verify that with emacs -Q
>>> `native-comp-eln-load-path' is what we expect?
>>
>> I did:
>>
>> - emacs -Q
>> - C-h v native-comp-eln-load-path RET
>> - I got "Descrive varibable: native-comp-eln-load-path [No match]
>>
>>> The next question would be what is causing it to change or not to be
>>> set.
>>
>> I don't know how to answer that question, though. :)
>>
> 
> Sorry for the spelling mistakes in the previous message.
> 

I rebuilt Emacs, because I think I built it without the 
--with-native-compilation flag before to get it to work.

Having it correctly build, from 'emacs -Q' the value of 
native-comp-eln-load-path is the following:

("/home/manuel/.emacs.d/eln-cache/" "/usr/local/lib/emacs/29.0.50/native-lisp/")

-- 
Manuel Uberti
www.manueluberti.eu